#include "USB.h"
#include "USBMIDI.h"
USBMIDI MIDI;

const int pins[] = { 0, 4, 5, 6, 7, 8, 18 };
int butState[] = { 0, 0, 0, 0, 0, 0, 0 };
int prevState[] = { 0, 0, 0, 0, 0, 0, 0 };

int notes[] = { 40, 48, 56, 64, 72, 80, 68 };


void setup() {
  MIDI.begin();
  USB.begin();
  for (int i = 0; i < 7; i++) {
    pinMode(pins[i], INPUT_PULLUP);
  }
  for (int i = 0; i < 7; i++) {
    butState[i] = digitalRead(pins[i]);
  }
  for (int i = 0; i < 7; i++) {
    prevState[i] = digitalRead(pins[i]);
  }
}

void loop() {
  for (int i = 0; i < 7; i++) {
    butState[i] = digitalRead(pins[i]);
    if (butState[i] != prevState[i]) {
      prevState[i] = butState[i];
      if (butState[i] == 1) {
        MIDI.noteOff(notes[i], 0);
      } else {
        MIDI.noteOn(notes[i], 126);
      }
    }
  }
  delay(100);
}

